﻿@{
    ViewBag.Title = "Index";
}

@*
    /Movies    Upcoming Movies
*@
<script src="~/AngularFiles/MoviesList.js"></script>
<div ng-app="ListMoviesModule" id="555">
    <section id="container" class="">
        <section id="main-content" style="margin-left:0px;">
            <section class="wrapper site-min-height">
                <!-- page start-->
                <div class="row" ng-controller="ListMoviesCtrl" ng-init="page=1; LoadData(); GetUpComingMovies();">
                    <div class="col-md-9">
                        <div>
                            <div class="my-post-footer" id="top">
                                <h4 style="margin-top: 0px; padding-top: 5px; padding-bottom: 5px;">
                                    <p style="text-align:left">
                                        <a href="javascript:;">
                                            <i ng-hide="page < 2" ng-click="page=page-1; LoadData();" class="fa fa-chevron-circle-left"></i>
                                        </a>
                                        <a href="javascript:;">
                                            <i ng-hide="page > 9" ng-click="page=page+1; LoadData();;" class="fa fa-chevron-circle-right"></i>
                                        </a>
                                        Listing Page {{page}} <span ng-hide="wait == false" class="glyphicon glyphicon-refresh glyphicon-refresh-animate"></span>
                                    </p>
                                </h4>
                            </div>
                            <section ng-repeat="Movies in ListAll.data.movies | filter:SearchName" style="border-bottom-width: 10px; padding-bottom: 20px;padding-top: 0px;" ng-controller="MovieDetail">
                                <section class="panel post-wrap pro-box" style="height:120%" ng-init="LoadDetailOMDB(Movies.imdb_code); LoadDetailYTS(Movies.id);">
                                    <aside style="width:190px">
                                        <div class="post-info">
                                            <span class="arrow-pro right"></span>
                                            <div class="panel-body">
                                                <img class="poster-thumbnail" ng-src={{Movies.medium_cover_image}} alt="">
                                            </div>
                                        </div>
                                    </aside>
                                    <aside class="post-highlight two">
                                        <div class="panel-body text-left">
                                            <h3 style="margin-top: 0px;">{{Movies.title}}</h3>
                                            <p>{{MovieDetailsOMDB.Plot}}</p>
                                        </div>
                                    </aside>
                                    <aside class="post-highlight three">
                                        <div class="panel-body text-left">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <a href="{{Movies.ImdbLink}}"><img src="~/PanelImages/IMDb-icon.png" /></a><strong> {{Movies.rating}}</strong>
                                                </div>
                                                <br />
                                                <div class="row" style="margin-top: 40px; margin-left: 0px;">
                                                    <div class="col-md-12">
                                                        <span class="label customlabel-info">Released</span><strong>  {{Movies.year}}</strong>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <br />
                                                        <span class="label customlabel-info">IMDb Votes</span>  {{MovieDetailsOMDB.imdbVotes}}
                                                    </div>
                                                    <div class="col-md-12">
                                                        <br />
                                                        <span class="label customlabel-info">Genre</span>  {{MovieDetailsOMDB.Genre}}
                                                    </div>

                                                    <div class="col-md-12">
                                                        <br />
                                                        <br />
                                                        <a href="" ng-attr-id="{{ 'button-' + Movies.id }}" ng-click="ShowDiv(Movies.id);" class="btn btn-info">View Details</a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </aside>
                                </section>
                                <section class="panel" ng-attr-id="{{ 'object-' + Movies.id }}" style="display:none;">
                                    <header class="panel-heading tab-bg-dark-navy-blue">
                                        <ul class="nav nav-tabs ">
                                            <li class="active">
                                                <a data-toggle="tab" ng-href="#des{{Movies.id}}">
                                                    Description
                                                </a>
                                            </li>
                                            <li class="">
                                                <a data-toggle="tab" ng-href="#rev{{Movies.id}}" ng-click="GetMovieReview(Movies.id)">
                                                    Reviews
                                                </a>
                                            </li>
                                        </ul>
                                    </header>
                                    <div class="panel-body">
                                        <div class="tab-content tasi-tab">
                                            <div ng-attr-id="{{'des'+Movies.id}}" class="tab-pane active">
                                                <h4 class="pro-d-head">{{Movies.title}}</h4>
                                                <div style="text-align:center;"><img ng-attr-id="{{ 'video-' + MovieDetailsYTS.data.yt_trailer_code+'thumb'}}" ng-show=" MovieDetailsYTS.data.yt_trailer_code !=null" src="~/img/videoThumbnail.png" ng-click="GetVideoUrl( MovieDetailsYTS.data.yt_trailer_code)" /></div>
                                                <div ng-attr-id="{{ 'video-' + MovieDetailsYTS.data.yt_trailer_code }}" style="text-align:center;"></div>
                                                <p><strong>Released: </strong>{{ MovieDetailsOMDB.Released}},<strong> Director: </strong>{{ MovieDetailsOMDB.Director}},<strong> Actors: </strong>{{ MovieDetailsOMDB.Actors}}  </p>
                                                <p><strong>Writer: </strong>{{ MovieDetailsOMDB.Writer}},<strong> Language: </strong>{{ MovieDetailsOMDB.Language}},<strong> Awards: </strong>{{ MovieDetailsOMDB.Awards}}  </p>
                                                <p><strong>Production: </strong>{{ MovieDetailsOMDB.Production}},<strong> Website: </strong>{{ MovieDetailsOMDB.Website}},<strong> Rated: </strong>{{ MovieDetailsOMDB.Rated}}  </p>
                                                <p><strong>Tomato Meter: </strong>{{ MovieDetailsOMDB.tomatoMeter}},{{ MovieDetailsOMDB.tomatoImage}}<strong> Tomato Rating: </strong>{{ MovieDetailsOMDB.tomatoRating}}</p>

                                                <p><strong><a href="{{MovieDetailsYTS.data.url}}" class="btn btn-info"> YTS Direct Url </a></strong> <strong><a href="{{MovieDetailsYTS.data.torrents[0].url}}" class="btn btn-info">Download Torrent</a></strong> <strong> Quality:</strong><strong style="color:green;">{{MovieDetailsYTS.data.torrents[0].quality}},</strong> <strong> Resolution: </strong> <strong style="color:green;">{{MovieDetailsYTS.data.torrents[0].resolution}},</strong>  <strong> Seeds: </strong><strong style="color:green;">{{MovieDetailsYTS.data.torrents[0].seeds}},</strong> <strong> Peers: </strong><strong style="color:green;">{{MovieDetailsYTS.data.torrents[0].peers}},</strong> <strong> Size: </strong><strong style="color:green;">{{MovieDetailsYTS.data.torrents[0].size}}</strong></p>

                                            </div>
                                            <div ng-attr-id="{{'rev'+Movies.id}}" class="tab-pane">
                                                <div class="my-post-footer" ng-attr-id="{{'loadrev'+Movies.id}}">
                                                    <h3 style="margin-top: 0px; padding-top: 5px; padding-bottom: 5px;">
                                                        This api is so fuckin slow <span class="glyphicon glyphicon-refresh glyphicon-refresh-animate"></span>
                                                    </h3>
                                                </div>
                                                <article class="media" ng-repeat="Review in MovieReviewYTS.data.reviews">
                                                    <a class="pull-left thumb p-thumb">
                                                        <img src="~/img/avatar.png">
                                                    </a>
                                                    <div class="media-body">
                                                        <p class="cmt-head">{{Review.username+', '+Review.user_location}}</p>
                                                        <p> <i class="fa fa-time"></i>{{Review.review_text}}</p>
                                                    </div>
                                                </article>
                                            </div>
                                        </div>
                                    </div>
                                </section>
                            </section>
                            <div class="my-post-footer" ng-hide="ListAll == null">
                                <h3 style="margin-top: 0px; padding-top: 5px; padding-bottom: 5px;">
                                    <p style="text-align:left">
                                        <a href="javascript:;">
                                            <i ng-hide="page <= 0" ng-click="page=page-1; LoadData(); ScrollToTop();" class="fa fa-chevron-circle-left"></i>
                                        </a>
                                        <a href="javascript:;">
                                            <i ng-hide="page > 9" ng-click="page=page+1; LoadData(); ScrollToTop();" class="fa fa-chevron-circle-right"></i>
                                        </a>

                                        <span ng-hide="wait == false" ng- class="glyphicon glyphicon-refresh glyphicon-refresh-animate"></span>
                                    </p>
                                </h3>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <input class="form-control" id="focusedInput" type="text" placeholder="Search" ng-model="SearchName">
                        </div>
                        <div class="fb-timeliner">
                            <h2 class="recent-highlight">Upcoming</h2>
                            <div ng-repeat="Tomato in UpComingTomatoes.movies">
                                <div class="panel">
                                    <div class="panel-body">
                                        <div class="bio-chart">
                                            <img ng-src={{Tomato.posters.thumbnail}} />
                                        </div>
                                        <div class="bio-desk">
                                            <a ng-href="http://www.imdb.com/title/{{'tt'+Tomato.alternate_ids.imdb}}/"><h4 class="terques">{{Tomato.title}} </h4></a>
                                            <p>{{Tomato.release_dates.theater}}</p>
                                            <p></p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- page end-->
            </section>
        </section>
        <!--main content end-->
        <!--footer start-->
        <footer class="site-footer">
            <div class="text-center">
                2013 &copy; FlatLab by VectorLab.
                <a href="#" class="go-top">
                    <i class="fa fa-angle-up"></i>
                </a>
            </div>
        </footer>
        <!--footer end-->
    </section>
</div>
